Package fr.gouv.vitam.worker.core.plugin.lfc_traceability

# Class BuildTraceabilityActionPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.lfc_traceability.BuildTraceabilityActionPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `BuildObjectGroupTraceabilityActionPlugin`, `BuildUnitTraceabilityActionPlugin`

public abstract class BuildTraceabilityActionPlugin extends ActionHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.fasterxml.jackson.core.type.TypeReference<LfcMetadataPair>`
  `TYPE_REFERENCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildTraceabilityActionPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract String`
  `actionName()`
  `protected void`
  `buildTraceabilityData(HandlerIO handler, String lifecycleType, ItemStatus itemStatus)`
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `static String`
  `generateDigest(com.fasterxml.jackson.databind.JsonNode jsonNode, DigestType digestType)`
  Generate a hash for a JsonNode using VITAM Digest Algorithm
  `protected abstract TraceabilityStatistics`
  `getTraceabilityStatistics(DigestValidator digestValidator)`
  `protected abstract String`
  `stepName()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, execute, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_REFERENCE

    public static final com.fasterxml.jackson.core.type.TypeReference<LfcMetadataPair> TYPE_REFERENCE

- ## Constructor Details

  - ### BuildTraceabilityActionPlugin

    public BuildTraceabilityActionPlugin()

- ## Method Details

  - ### buildTraceabilityData

    protected void buildTraceabilityData(HandlerIO handler, String lifecycleType, ItemStatus itemStatus) throws ProcessingException
    Throws:
      `ProcessingException`

  - ### getTraceabilityStatistics

    protected abstract TraceabilityStatistics getTraceabilityStatistics(DigestValidator digestValidator)

  - ### generateDigest

    public static String generateDigest(com.fasterxml.jackson.databind.JsonNode jsonNode, DigestType digestType) throws IOException
    Generate a hash for a JsonNode using VITAM Digest Algorithm
    Parameters:
      `jsonNode` - the jsonNode to compute digest for
      `digestType` - the digest type
    Returns:
      hash of the jsonNode
    Throws:
      `IOException`

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### stepName

    protected abstract String stepName()

  - ### actionName

    protected abstract String actionName()